import { model, Schema } from 'mongoose';
const teamSchema = new Schema({
    collectionName: { type: String, required: true },
    project: { type: String, required: true },
    name: { type: String, required: true },
    repoIds: [{ type: String, required: true }],
}, { timestamps: true });
teamSchema.index({
    collectionName: 1,
    project: 1,
    name: 1,
}, {
    unique: true,
});
export const TeamModel = model('Team', teamSchema);
